create table if not exists T_KANENDO_SIKYU_INFO (
  TDFK_ID VARCHAR2(4) not null
  , SCHOOL_SYU VARCHAR2(10) not null
  , SCHOOL_ID VARCHAR2(4) not null
  , COURSE VARCHAR2(2) not null
  , TARGET_YEAR CHAR(4) not null
  , APPLY_TIMES NUMBER(2, 0) not null
  , CREATE_DATE DATE
  , CREATE_USER_ID VARCHAR2(20)
  , UPDATE_DATE DATE
  , UPDATE_USER_ID VARCHAR2(20)
  , DELETE_FLG INTEGER default 0 not null
  , APPLY_KANENDOGAKU_1 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_1 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_2 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_2 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_3 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_3 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_4 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_4 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_5 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_5 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_6 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_6 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_7 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_7 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_8 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_8 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_9 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_9 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_10 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_10 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_11 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_11 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_12 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_12 NUMBER(10, 0)
  , APPLY_KINGAKU NUMBER(12, 0)
  , DECIDE_KINGAKU NUMBER(12, 0)
  , BIKOU VARCHAR2(1000)
  , constraint T_KANENDO_SIKYU_INFO_PKC primary key (TDFK_ID,SCHOOL_SYU,SCHOOL_ID,COURSE,TARGET_YEAR,APPLY_TIMES)
) ;

create table if not exists W_KANENDO_SIKYU_INFO (
  TDFK_ID VARCHAR2(4) not null
  , SCHOOL_SYU VARCHAR2(10) not null
  , SCHOOL_ID VARCHAR2(4) not null
  , COURSE VARCHAR2(2) not null
  , TARGET_YEAR CHAR(4) not null
  , APPLY_TIMES NUMBER(2, 0) not null
  , CREATE_DATE DATE
  , CREATE_USER_ID VARCHAR2(20)
  , UPDATE_DATE DATE
  , UPDATE_USER_ID VARCHAR2(20)
  , DELETE_FLG INTEGER default 0 not null
  , APPLY_KANENDOGAKU_1 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_1 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_2 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_2 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_3 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_3 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_4 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_4 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_5 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_5 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_6 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_6 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_7 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_7 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_8 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_8 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_9 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_9 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_10 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_10 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_11 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_11 NUMBER(10, 0)
  , APPLY_KANENDOGAKU_12 NUMBER(10, 0)
  , DECIDE_KANENDOGAKU_12 NUMBER(10, 0)
  , APPLY_KINGAKU NUMBER(12, 0)
  , DECIDE_KINGAKU NUMBER(12, 0)
  , BIKOU VARCHAR2(1000)
  , constraint W_KANENDO_SIKYU_INFO_PKC primary key (TDFK_ID,SCHOOL_SYU,SCHOOL_ID,COURSE,TARGET_YEAR,APPLY_TIMES)
) ;

create table if not exists T_KOJINKOUFUGOKEIINFO (
  CERTIFICATION_ID VARCHAR2(20) not null
  , TARGET_YEAR CHAR(4) not null
  , APPLY_TIMES NUMBER(2, 0) not null
  , CREATE_DATE DATE
  , CREATE_USER_ID VARCHAR2(20)
  , UPDATE_DATE DATE
  , UPDATE_USER_ID VARCHAR2(20)
  , DELETE_FLG INTEGER default 0 not null
  , SUM_1 NUMBER(6, 0)
  , SUM_2 NUMBER(6, 0)
  , SUM_3 NUMBER(6, 0)
  , SUM_4 NUMBER(6, 0)
  , SUM_5 NUMBER(6, 0)
  , SUM_6 NUMBER(6, 0)
  , SUM_7 NUMBER(6, 0)
  , SUM_8 NUMBER(6, 0)
  , SUM_9 NUMBER(6, 0)
  , SUM_10 NUMBER(6, 0)
  , SUM_11 NUMBER(6, 0)
  , SUM_12 NUMBER(6, 0)
  , DECIDE_SUM NUMBER(6, 0)
  , constraint T_KOJINKOUFUGOKEIINFO_PKC primary key (CERTIFICATION_ID,TARGET_YEAR,APPLY_TIMES)
) ;

create table if not exists W_KOJINKOUFUGOKEIINFO (
  CERTIFICATION_ID VARCHAR2(20) not null
  , TARGET_YEAR CHAR(4) not null
  , APPLY_TIMES NUMBER(2, 0) not null
  , CREATE_DATE DATE
  , CREATE_USER_ID VARCHAR2(20)
  , UPDATE_DATE DATE
  , UPDATE_USER_ID VARCHAR2(20)
  , DELETE_FLG INTEGER default 0 not null
  , SUM_1 NUMBER(6, 0)
  , SUM_2 NUMBER(6, 0)
  , SUM_3 NUMBER(6, 0)
  , SUM_4 NUMBER(6, 0)
  , SUM_5 NUMBER(6, 0)
  , SUM_6 NUMBER(6, 0)
  , SUM_7 NUMBER(6, 0)
  , SUM_8 NUMBER(6, 0)
  , SUM_9 NUMBER(6, 0)
  , SUM_10 NUMBER(6, 0)
  , SUM_11 NUMBER(6, 0)
  , SUM_12 NUMBER(6, 0)
  , DECIDE_SUM NUMBER(6, 0)
  , constraint T_KOJINKOUFUGOKEIINFO_PKC primary key (CERTIFICATION_ID,TARGET_YEAR,APPLY_TIMES)
) ;
